//
//  OnlyProRequestsScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct OnlyProRequestsScreen: View {
    
    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Demandes réservées aux pros", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                Image("only_for_pro")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 60)
                VStack {
                    SQText("4 fois plus", size: 32, font: .bold)
                    SQText("de demandes publiées réservées aux pros")
                    SQText("*entre 2023 et 2024.", size: 11)
                }
                VStack {
                    SQText("Le saviez-vous ?", font: .demiBold)
                    SQText("Sur le menu abonnement, vous pouvez filtrer les demandes réservées aux pros.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Voir les demandes", color: .sqGrape(80), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqGrape(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    OnlyProRequestsScreen()
}
